<?
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';
$set['title']='Ресторан | Админ'; // заголовок страницы
include_once '../sys/inc/thead.php';
title();

if($user['level'] > 2) {

$mode = isset($_GET['mode']) ? htmlspecialchars($_GET['mode']) : NULL;

switch($mode) {default:
echo "<a href='?mode=city'>Управление городами</a><br/>";
echo "<a href='?mode=actions'>Управление действиями</a><br/>";
break;

case "city":
if(isset($_POST['city_new'])) {
$txt = $_POST['city_new'];
if(mb_strlen($txt)>100){$err[]='Слишком длинное название';}
elseif (mb_strlen($txt)<2){$err[]='Короткое название';}
elseif (mysql_result(mysql_query("SELECT COUNT(*) FROM `restoran` WHERE `city` = '$txt' LIMIT 1"),0)!=0){$err='Город уже есть';}
if(!$err) {	mysql_query("INSERT INTO `restoran` SET `city` = '$txt'") or die(mysql_error());

	echo "Город создан";
}
}

if(isset($_POST['city'])) {	$city = my_esc($_POST['city']);
	$city_id = intval($_POST['city_id']);
	if(!empty($city)) {
	mysql_query("UPDATE `restoran` SET `city` = ' $city' WHERE `id` = '$city_id'");
	msg("Город обновлен");
	}else{
	$sql = mysql_fetch_array(mysql_query("SELECT * FROM `restoran_tables` WHERE `r_id` = '$city_id' "));
	mysql_query("DELETE FROM `restoran_posts` WHERE `t_id` = '$sql[id]'");
	mysql_query("DELETE FROM `restoran_tables` WHERE `r_id` = '$city_id'");
	mysql_query("DELETE FROM `restoran` WHERE `id` = '$city_id'");
	msg("Город и все столики в нем удалены");
	}
}
echo $err;


echo "<b>Новый город:</b><br/>";
echo "<form action='?mode=city' method='post'>";
echo "<input type='text' name='city_new' />";
echo "<input type='submit' value='Создать' />";
echo "</form>";
echo "<hr />";
echo '<b>Города</b> (для удаления города сотрите текст из поля и нажмите "Изменить")';

$sql = mysql_query("SELECT * FROM `restoran`");
while($c = mysql_fetch_array($sql)) {
echo "<form action='?mode=city' method='post'>";
echo "<input type='text' name='city' value='$c[city]' />";
echo "<input type='hidden' name='city_id' value='$c[id]' />";
echo "<input type='submit' value='Изменить' />";
echo "</form>";
}

echo "<a href='admin.php'>Админка</a>";
break;





case "actions":


if(isset($_POST['action_new'])) {
$txt = $_POST['action_new'];
$cost = intval($_POST['act_cost']);
$img = my_esc($_POST['act_img']);
if(mb_strlen($txt)>100){$err[]='Слишком длинное действие';}
elseif (mb_strlen($txt)<2){$err[]='Короткое действие';}
elseif (mysql_result(mysql_query("SELECT COUNT(*) FROM `restoran_actions` WHERE `action` = '$txt' LIMIT 1"),0)!=0){$err='Такое действие уже есть';}
if(!$err) {
              mysql_query("INSERT INTO `restoran_actions` SET `action` = '$txt', `cost` = '$cost', `img` = '$img'") or die(mysql_error());

	echo "Действие добавлено";
}
}


if(isset($_POST['action'])) {
	$act = my_esc($_POST['action']);
	$cost = intval($_POST['act_cost']);
    $img = my_esc($_POST['act_img']);
	$act_id = intval($_POST['act_id']);
	if(!empty($act)) {
	mysql_query("UPDATE `restoran_actions` SET `action` = ' $act', `cost` = '$cost', `img` = '$img' WHERE `id` = '$act_id'");
	msg("Действие изменено");
	}else{
	mysql_query("DELETE FROM `restoran_actions` WHERE `id` = '$act_id'") or die(mysql_error());
	msg("Действие удалено");
	}
}

echo $err;


echo "<b>Новое действие:</b> (только в  ex: подари<b>ТЬ</b>, купи<b>ТЬ</b>)<br/>";
echo "<form action='?mode=actions' method='post'>";
echo "Действие: <input type='text' name='action_new' /></br>";
echo "Цена: <input type='text' name='act_cost' /></br>";
echo "URL: <input type='text' name='act_img' value='/restoran/actions/' /></br>";
echo "<input type='submit' value='Создать' />";
echo "</form>";
echo "<hr />";
echo '<b>Действия</b> (для удаления действия сотрите текст из поля и нажмите "Изменить")';


$sql = mysql_query("SELECT * FROM `restoran_actions`");
while($c = mysql_fetch_array($sql)) {
echo "<form action='?mode=actions' method='post'>";
echo "Действие: <input type='text' name='action' value='$c[action]' />";
echo "Цена: <input type='text' name='act_cost' value='$c[cost]' />";
echo "<input type='hidden' name='act_id' value='$c[id]' />";
echo "URL: <input type='text' name='act_img' value='$c[img]' />";
echo "<input type='submit' value='Изменить' />";
echo "</form>";


}
echo "<a href='admin.php'>Админка</a>";
break;







}

}else{	header("Location: index.php");
}




include_once '../sys/inc/tfoot.php';
?>